<style>
  .br-card {
    min-height: 370px;
  }

  .br-card .card-content p {
    font-size: var(--font-size-scale-base);
  }

  .main-content a {
    text-decoration: none;
  }

  .card-img {
    margin-bottom: var(--spacing-scale-2x);
    background-image: linear-gradient(to bottom, #e7f0f5, #d9ebf5);
  }
</style>

<section>
  <h3>Padrões de Design</h3>
  <h6>Visão Geral</h6>
  <!-- INTRODUÇÃO -->
  <p>
    Padrões de design oferecem soluções comprovadas para problemas comuns em projetos de desenvolvimento web. São
    fundamentais para garantir que um produto digital seja facilmente utilizável pelos usuários. O Padrão Digital de
    Governo aborda alguns desses aspectos como: ajuda e comunicação, boas práticas para a criação de formulários,
    padrões de navegação, uso de gráficos, densidade, entre outros. Seguindo padrões, é possível economizar tempo e
    esforço e garante que os produto apresentem aparências e comportamentos consistentes e previsíveis.
  </p>
  <hr />
</section>
<br />
<section>
  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/ajuda-comunicacao">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Ajuda e Comunicação</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/ajuda-preview.png" class="img-fluid" alt="Ajuda e Comunicação" />
          </div>
          <div>
            <p>
              O recurso de ajuda é uma maneira de fornecer respostas às dúvidas ou anseios dos usuários, visando
              esclarecer os meios pelos quais estes poderão concluir suas tarefas, ou acessar algum conteúdo.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/densidade">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Densidade</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/densidade-preview.png" class="img-fluid" alt="Densidade" />
          </div>
          <div>
            <p>
              Densidade é a especificação dos espaçamentos vazios que compõem a tela ou os componentes de interface, e
              pode ser ajustada dentro de uma escala de intensidade, de forma a atender diferentes objetivos no projeto
              de layout ou implementação.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/contentoverflow">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Content Overflow</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/contentoverflow-preview.png" class="img-fluid" alt="Content Overflow" />
          </div>
          <div>
            <p>
              Também conhecido como Densidade Informacional, são recursos ou técnicas para otimizar a organização do
              conteúdo na tela exibindo ou ocultando partes do mesmo conforme a prioridade da informação..
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/dropdown">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Dropdown</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/dropdown-preview.png" class="img-fluid" alt="Dropdown" />
          </div>
          <div>
            <p>
              O padrão Dropdown ocorre quando uma superfície flutuante surge sobre a tela, de forma temporária, a partir
              de um elemento acionador. Esta superfície pode conter informações adicionais com características voltadas
              para coleta de dados, seleção de opções ou apenas texto informativo.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/formulario">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Formulário</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/formularios-preview.png" class="img-fluid" alt="Formulário" />
          </div>
          <div>
            <p>
              Formulário é um grupo de controles de entrada relacionados que permite que os usuários forneçam dados ou
              configurem opções. Os formulários podem ser simples ou complexos e podem ser apresentados como páginas
              dedicadas, painéis laterais ou diálogos, dependendo do caso de uso e da situação.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/grafico">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Gráfico</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/grafico-preview.png" class="img-fluid" alt="Gráfico" />
          </div>
          <div>
            <p>
              Os gráficos são representações visuais de dados e informações numéricas que servem para facilitar sua
              visualização, bem como para torná-los mais claros e informativos.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/onboarding">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Onboarding</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/onboarding-preview.png" class="img-fluid" alt="Onboarding" />
          </div>
          <div>
            <p>
              Consiste em um padrão para guiar o usuário durante um tutorial, apresentação ou processo de aprendizado
              simples.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/collapse">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Collapse</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/collapse-preview.png" class="img-fluid" alt="Collapse" />
          </div>
          <div>
            <p>
              O Padrão Collapse compreende um modelo para exibir ou ocultar determinado conteúdo em tela, “empurrando”
              ou “puxando” os elementos adjacentes na interface.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/navegacao">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Navegação</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/navegacao-preview.png" class="img-fluid" alt="Navegação" />
          </div>
          <div>
            <p>
              A navegação é o processo pelo qual os usuários acessam as telas e funcionalidades de um sistema web, site
              ou aplicativo, permitindo que estes realizem suas tarefas, sejam conduzidos através de fluxos de etapas ou
              acessem à informação desejada.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/design/emptystates">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Empty States</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/emptystate-preview.png" class="img-fluid" alt="Empty States" />
          </div>
          <div>
            <p>
              São situações que ocorrem dentro de uma aplicação nas quais não há dados a serem exibidos para o usuário.
              Geralmente são visualizados quando um usuário interage pela primeira vez no sistema, quando os dados foram
              excluídos ou simplesmente esses dados não estão mais disponíveis.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>
</section>

<br />
<hr />
<br />

<section>
  <h3>Padrões para Desenvolvimento Mobile</h3>
  <h6>Visão Geral</h6>
  <!-- INTRODUÇÃO -->
  <p>
    Os padrões de desenvolvimento móvel para Android e IOS apresentam características distintas, devido à natureza de
    cada produto. Isso ocorre porque cada plataforma possui suas próprias diretrizes de design e desenvolvimento. Apesar
    disso, o Padrão Digital de Governo fornece orientações para a aplicação dos fundamentos visuais do design system em
    produtos mobile, considerando as particularidades nativas de cada plataforma.
  </p>
</section>
<br />
<section>
  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/mobile/android-e-ios">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Padrões para Android e IOS</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/mobile-preview.png" class="img-fluid" alt="Padrões para Android e IOS" />
          </div>
          <div>
            <p>
              O design system do governo federal segue princípios e práticas que buscam orientar toda a experiência de
              uso no projeto de dispositivos móveis.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>
</section>

<br />
<hr />
<br />

<section>
  <h3>Padrões para UX Writing</h3>
  <h6>Visão Geral</h6>
  <!-- INTRODUÇÃO -->
  <p>
    Writing é tudo aquilo que é escrito para garantir a melhor experiência para o usuário de um produto digital. Pode
    abranger tanto o conteúdo quanto os pequenos textos embutidos nos componentes de numa interface. É responsabilidade
    do writer a redação, a revisão e a validação do conteúdo de emails, notificações, artigos de uma área de ajuda e
    outros tantos canais de comunicação com o usuário.
  </p>
</section>
<br />
<section>
  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/writing/principios-writing">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Princípios de UX Writing</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/writing-preview.png" class="img-fluid" alt="Princípios de UX Writing" />
          </div>
          <div>
            <p>
              Writing é uma área de atuação dentro do UX Design que cria e desenvolve textos para melhorar a experiência
              do usuário em produtos digitais. A construção dessa experiência deve levar em consideração diversos
              elementos, e o conteúdo textual é um deles.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/padroes/writing/microcopy">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Microcopy</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/microcopy-preview.png" class="img-fluid" alt="Microcopy" />
          </div>
          <div>
            <p>
              Definimos o microcopy como sendo todas interações textuais encontrados nos diversos componentes ou
              elementos da interface. Esse documento tem por finalidade orientar a criação e utilização de microcopies
              nos componentes e elementos do design system.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>
</section>
